### Method

# Gegl TileBackend command

#### Declaration [src]

    gpointer
    gegl_tile_backend_command (
      GeglTileBackend* backend,
      GeglTileCommand command,
      gint x,
      gint y,
      gint z,
      gpointer data
    )

#### Description [src]

The default tile-backend command handler. Tile backends should forward commands they don’t handle themselves to this function.

#### Parameters

`command`

  Type: `GeglTileCommand`

  The tile command.

`x`

  Type: `gint`

  X coordinate.

`y`

  Type: `gint`

  Y coordinate.

`z`

  Type: `gint`

  Tile zoom level.

`data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gpointer`

Command result.

The data is owned by the instance.
The return value can be `NULL`.